%global		gio_ver		2.44.0
%global		gjs_ver		1.50.0
%global 	girepository_ver	0.10.1
%global 	gtk3_ver	3.22.0
%global 	geoclue2_ver	0.12.99
%global		gee_ver		0.16.0
%global		folks_ver	0.10.0
%global		geocode_glib_ver	3.15.2
%global		champlain_ver	0.12.14
%global		rest_ver	0.7.90

Name:           gnome-maps
Version:        3.38.4
Release:        1
Summary:        A map application for GNOME

License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Maps
Source0:        https://download.gnome.org/sources/gnome-maps/3.38/%{name}-%{version}.tar.xz

BuildRequires:  gcc gettext meson desktop-file-utils libappstream-glib
BuildRequires: 	pkgconfig(gio-2.0) >= %{gio_ver} pkgconfig(gjs-1.0) >= %{gjs_ver}
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= %{girepository_ver}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_ver} pkgconfig(geoclue-2.0) >= %{geoclue2_ver}
BuildRequires:  pkgconfig(gee-0.8) >= %{gee_ver} pkgconfig(folks) >= %{folks_ver}
BuildRequires:	pkgconfig(geocode-glib-1.0) >= %{geocode_glib_ver} pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(champlain-0.12) >= %{champlain_ver} pkgconfig(rest-0.7) >= %{rest_ver}

Requires:       clutter%{?_isa} clutter-gtk%{?_isa} cogl%{?_isa} dbus gdk-pixbuf2%{?_isa}
Requires:       geoclue2-libs%{?_isa} gfbgraph%{?_isa} gjs%{?_isa} >= %{gjs_ver}
Requires:       gobject-introspection%{?_isa} gtk3%{?_isa} libchamplain-gtk%{?_isa} >= %{champlain_ver}

%description
GNOME Maps is a simple map application for the GNOME desktop.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

rm %{buildroot}%{_libdir}/gnome-maps/libgnome-maps.so

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Maps.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Maps.desktop

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Maps.desktop
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_datadir}/glib-2.0/schemas/org.gnome.Maps.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/org.gnome.Maps*.svg
%{_datadir}/metainfo/org.gnome.Maps.appdata.xml
%{_libdir}/%{name}/

%changelog
* Thu Jun 17 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.4-1
- Package init with 3.38.4
